translating---geekpi

Top 5 Linux pain points in 2017
============================================================

### Poor documentation heads the list of Linux user woes to date. Here a few other common problem areas.

![Top 5 Linux pain points in 2017](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/linux-penguins.png?itok=yKOpaJM_ "Top 5 Linux pain points in 2017")
Image by : [Internet Archive Book Images][8]. Modified by Opensource.com. [CC BY-SA 4.0][9]

As I discussed in my [2016 Open Source Yearbook][10] article on [troubleshooting tips for the 5 most common Linux issues][11], Linux installs and operates as expected for most users, but some inevitably run into problems. How have things changed over the past year in this regard? Once again, I posted the question to LinuxQuestions.org and on social media, and analyzed LQ posting patterns. Here are the updated results.

### 1\. Documentation

Documentation, or lack thereof, was one of the largest pain points this year. Although open source methodology produces superior code, the importance of producing quality documentation has only recently come to the forefront. As more non-technical users adopt Linux and open source software, the quality and quantity of documentation will become paramount. If you've wanted to contribute to an open source project but don't feel you are technical enough to offer code, improving documentation is a great way to participate. Many projects even keep the documentation in their repository, so you can use your contribution to get acclimated to the version control workflow.

### 2\. Software/library version incompatibility

If you've wanted to contribute to an open source project but don't feel you are technical enough to offer code, improving documentation is a great way to participate.I was surprised by this one, but software/library version incompatibility was mentioned frequently. The issue appears to be greatly exacerbated if you're not running one of the mainstream popular distributions. I haven't personally encountered this problem in  _many_  years, but the increasing adoption of solutions such as [AppImage][15], [Flatpak][16], and Snaps leads me to believe there may indeed be something to this one. I'm interested in hearing more about this issue; if you've faced it recently, tell me about it in the comments.

### 3\. UEFI and secure boot

Although this issue continues to improve as more supported hardware is deployed, many users indicate that they still have issues with UEFI and/or secure boot. Using a distribution that fully supports UEFI/secure boot out of the box is the best solution here.

### 4\. Deprecation of 32-bit

Many users are lamenting the death of 32-bit support in their favorite distributions and software projects. Although you still have many options if 32-bit support is a must, fewer and fewer projects are likely to continue supporting a platform with decreasing market share and mind share. Luckily, we're talking about open source, so you'll likely have at least a couple options as long as  _someone_  cares about the platform.

### 5\. Deteriorating support and testing for X-forwarding

Although many longtime and power users of Linux regularly use X-forwarding and consider it critical functionality, as Linux becomes more mainstream it appears to be seeing less testing and support; especially from newer apps. With Wayland network transparency still evolving, the situation may get worse before it improves.

### Holdovers—and improvements—from last year

Video (specifically, accelerators/​acceleration; the latest video cards; proprietary drivers; and efficient power management), Bluetooth support, specific WiFi chips and printers, and power management, along with suspend/resume, continue to be troublesome for many users. On a more positive note, installation, HiDPI, and audio issues were significantly less frequent than they were just a year ago.

Linux continues to make tremendous strides, and the constant, almost inexorable cycle of improvement should ensure that continues for years to come. As with any complex piece of software, however, there will always be issues.

With that said, what technical Linux issues did  _you_  find most common in 2017? Let me know about them in the comments.

--------------------------------------------------------------------------------

via: https://opensource.com/article/17/10/top-5-linux-painpoints

作者：[Jeremy Garcia ][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/jeremy-garcia
[1]:https://opensource.com/resources/what-is-linux?intcmp=70160000000h1jYAAQ&utm_source=intcallout&utm_campaign=linuxcontent
[2]:https://opensource.com/resources/what-are-linux-containers?intcmp=70160000000h1jYAAQ&utm_source=intcallout&utm_campaign=linuxcontent
[3]:https://developers.redhat.com/promotions/linux-cheatsheet/?intcmp=70160000000h1jYAAQ&utm_source=intcallout&utm_campaign=linuxcontent
[4]:https://developers.redhat.com/cheat-sheet/advanced-linux-commands-cheatsheet?intcmp=70160000000h1jYAAQ&utm_source=intcallout&utm_campaign=linuxcontent
[5]:https://opensource.com/tags/linux?intcmp=70160000000h1jYAAQ&utm_source=intcallout&utm_campaign=linuxcontent
[6]:https://opensource.com/article/17/10/top-5-linux-painpoints?rate=p-SFnMtS8f6qYAt2xW-CYdGHottubCz2XoPptwCzSiU
[7]:https://opensource.com/user/86816/feed
[8]:https://www.flickr.com/photos/internetarchivebookimages/20570945848/in/photolist-xkMtw9-xA5zGL-tEQLWZ-wFwzFM-aNwxgn-aFdWBj-uyFKYv-7ZCCBU-obY1yX-UAPafA-otBzDF-ovdDo6-7doxUH-obYkeH-9XbHKV-8Zk4qi-apz7Ky-apz8Qu-8ZoaWG-orziEy-aNwxC6-od8NTv-apwpMr-8Zk4vn-UAP9Sb-otVa3R-apz6Cb-9EMPj6-eKfyEL-cv5mwu-otTtHk-7YjK1J-ovhxf6-otCg2K-8ZoaJf-UAPakL-8Zo8j7-8Zk74v-otp4Ls-8Zo8h7-i7xvpR-otSosT-9EMPja-8Zk6Zi-XHpSDB-hLkuF3-of24Gf-ouN1Gv-fJzkJS-icfbY9
[9]:https://creativecommons.org/licenses/by-sa/4.0/
[10]:https://opensource.com/yearbook/2016
[11]:https://opensource.com/article/17/1/yearbook-linux-troubleshooting-tips
[12]:https://opensource.com/users/jeremy-garcia
[13]:https://opensource.com/users/jeremy-garcia
[14]:https://opensource.com/article/17/10/top-5-linux-painpoints#comments
[15]:https://appimage.org/
[16]:http://flatpak.org/
